import { requestClient } from '#/api/request';
enum Api {
  baserecord = '/knowledgeViewRecord/record',
  queryrecord = '/knowledgeViewRecord/record/list',
  queryPublishRecord = '/knowledgePublishRecord/record/list',
}
//新增知识库查看记录
export function addrecord(data: any) {
  return requestClient.post(Api.baserecord, data);
}
//查询知识库查看记录列表
export function queryrecord(params: any) {
  return requestClient.get(Api.queryrecord, params);
}
//编辑历史
export function queryPublishRecordlist(params: any) {
  return requestClient.get(Api.queryPublishRecord, {params});
}
